<template>
  <v-container
    fluid
  >
    <v-row class="justify-center"> 
      <v-col
        cols="6"
        align-self="center"
      >
        <v-img
          :src="$t('phone.image')"
          :alt="$t('phone.alt')"
        />
      </v-col>
      <v-col
        cols="5"
        class="mt-16 pt-12 px-0"
      >
        <h2 class="primary--text font-weight-medium headline ml-2">
          {{ $t("phone.title") }}
        </h2>
        <h2 class="primary--text font-weight-bold font-italic headline ml-2 mt-n1">
          {{ $t("phone.subtitle") }}
        </h2>
        <a
          :aria-label="$t('phone.logoAndroid.aria-label')"
          :href="$t('phone.logoAndroid.url')"
          target="_blank"
        >
          <v-img
            :src="$t('phone.logoAndroid.image')"
            :alt="$t('phone.logoAndroid.img-alt')"
            width="50%"
            class="mt-12"
          />
        </a>
        <a
          :aria-label="$t('phone.logoIos.aria-label')"
          :href="$t('phone.logoIos.url')"
          target="_blank"
        >
          <v-img
            :src="$t('phone.logoIos.image')"
            :alt="$t('phone.logoIos.img-alt')"
            width="50%"
          />
        </a>
      </v-col>
    </v-row>
  </v-container>
</template>
<script>
import { merge } from "lodash";
import {messages_en, messages_fr, messages_eu} from "@translations/components/home/HomeContent/";
import {messages_client_en, messages_client_fr, messages_client_eu} from "@clientTranslations/components/home/HomeContent/";

let MessagesMergedEn = merge(messages_en, messages_client_en);
let MessagesMergedEu = merge(messages_eu, messages_client_eu);
let MessagesMergedFr = merge(messages_fr, messages_client_fr);

export default {
  i18n: {
    messages: {
      'en': MessagesMergedEn,
      'eu': MessagesMergedEu,
      'fr': MessagesMergedFr
    }
  }
}
</script>